import { CodeAnalyzerConfig, RuleSelection } from '@salesforce/code-analyzer-core';
export declare enum OutputFormat {
    YAML = "YAML"
}
export interface ConfigModel {
    toFormattedOutput(format: OutputFormat): string;
}
export type ConfigModelGeneratorFunction = (rawConfig: CodeAnalyzerConfig, ruleSelection: RuleSelection) => ConfigModel;
export declare class DummyConfigModel {
    toFormattedOutput(_format: OutputFormat): string;
    static fromSelection(_rawConfig: CodeAnalyzerConfig, _ruleSelection: RuleSelection): DummyConfigModel;
}
export declare const DUMMY_CONFIG: string;
