import { Rule } from '@salesforce/code-analyzer-core';
import { Display } from '../Display';
export interface RuleViewer {
    view(rules: Rule[]): void;
}
declare abstract class AbstractRuleViewer implements RuleViewer {
    protected display: Display;
    constructor(display: Display);
    view(rules: Rule[]): void;
    protected abstract _view(rules: Rule[]): void;
}
export declare class RuleDetailViewer extends AbstractRuleViewer {
    protected _view(rules: Rule[]): void;
}
export declare class RuleTableViewer extends AbstractRuleViewer {
    protected _view(rules: Rule[]): void;
}
export {};
