import { CodeAnalyzerConfig } from '@salesforce/code-analyzer-core';
export interface CodeAnalyzerConfigFactory {
    create(configPath?: string): CodeAnalyzerConfig;
}
export declare class CodeAnalyzerConfigFactoryImpl implements CodeAnalyzerConfigFactory {
    private static readonly CONFIG_FILE_NAME;
    private static readonly CONFIG_FILE_EXTENSIONS;
    create(configPath?: string): CodeAnalyzerConfig;
    private getConfigFromProvidedPath;
    private seekConfigInCurrentDirectory;
}
