import { RunResults } from '@salesforce/code-analyzer-core';
export interface ResultsWriter {
    write(results: RunResults): void;
}
export declare class CompositeResultsWriter implements ResultsWriter {
    private readonly writers;
    private constructor();
    write(results: RunResults): void;
    static fromFiles(files: string[]): CompositeResultsWriter;
}
export declare class ResultsFileWriter implements ResultsWriter {
    private readonly file;
    private readonly format;
    constructor(file: string);
    write(results: RunResults): void;
}
